%define name	cxmon
%define version	3.0
%define release	1mdk

Summary:	Command-line file manipulation tool and disassembler
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.uni-mainz.de/~bauec002/CXMain.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
cxmon is an interactive command-driven file manipulation tool that is
inspired by the "Amiga Monitor" by Timo Rossi. It has commands and
features similar to a machine code monitor/debugger, but it lacks any
functions for running/tracing code. There are, however, built-in
PowerPC, 680x0, 80x86, 6502 and Z80 disassemblers and special support
for disassembling MacOS code.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%_bindir/cxmon
%_mandir/man1/cxmon.1*

%changelog
* Tue Apr 10 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-1mdk
- First Mandrake package
